Skip to content

Validate entities against the active schema

POST
/api/v2026-01/projects/entities/validate
curl --request POST \
--url https://api.zstrike.io/api/v2026-01/projects/entities/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-op-id: example' \
--header 'x-session-id: example' \
--data '{ "entities": [ { "uid": { "type": "example", "id": "example" }, "attrs": {}, "parents": [ { "type": "example", "id": "example" } ] } ] }'

Validates an array of entities against the schema.

x-op-id
required
string

Operation ID

x-session-id
required
string

Session ID

Media typeapplication/json
object
entities
required
Array<object>
>= 1 items
object
uid
required
object
type
required
string
id
required
string
attrs
required
object
parents
required
Array<object>
object
type
required
string
id
required
string

Examplegenerated

{
"entities": [
{
"uid": {
"type": "example",
"id": "example"
},
"attrs": {},
"parents": [
{
"type": "example",
"id": "example"
}
]
}
]
}

Success

Media typeapplication/json
object
code
string
description
string
success
boolean
data
object
timestamp
string format: date-time

Example

{
"code": "S200",
"description": "Operation Successful",
"success": true,
"data": {
"key": "value"
}
}

Bad Request

Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time

Example

{
"code": "E400",
"description": "Bad Request",
"success": false,
"errors": [
"Error Message 1",
"Error Message 2"
],
"op_id": "op_example"
}

Unauthorized

Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time

Example

{
"code": "E401",
"description": "Unauthorized",
"success": false,
"errors": [
"Unauthorized"
],
"op_id": "op_example"
}

Forbidden

Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time

Example

{
"code": "E403",
"description": "Forbidden",
"success": false,
"errors": [
"Forbidden"
],
"op_id": "op_example"
}

Not Found

Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time

Example

{
"code": "E404",
"description": "Not Found",
"success": false,
"errors": [
"Not Found"
],
"op_id": "op_example"
}

Internal Server Error

Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time

Example

{
"code": "E500",
"description": "Internal Server Error",
"success": false,
"errors": [
"Internal Server Error"
]
}